- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_vector_query: Vector query
GTX Extensions (Experimental)

## Functions
template<typename genType >
bool | areCollinear (genType const &v0, genType const &v1, typename genType::value_type const &epsilon)
template<typename genType >
bool | areOrthogonal (genType const &v0, genType const &v1, typename genType::value_type const &epsilon)
template<typename genType >
bool | areOrthonormal (genType const &v0, genType const &v1, typename genType::value_type const &epsilon)
template<typename genType , template< typename > class vecType>
bool | isNormalized (vecType< genType > const &v, genType const &epsilon)
template<typename valType >
bool | isNull (detail::tvec2< valType > const &v, valType const &epsilon)
template<typename valType >
bool | isNull (detail::tvec3< valType > const &v, valType const &epsilon)
template<typename valType >
bool | isNull (detail::tvec4< valType > const &v, valType const &epsilon)

## Detailed Description

Query informations of vector types.

<glm/gtx/vector_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::areCollinear | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon
| ) |  |

Check whether two vectors are collinears.

From GLM_GTX_vector_query extensions.

bool glm::areOrthogonal | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon
| ) |  |

Check whether two vectors are orthogonals.

From GLM_GTX_vector_query extensions.

bool glm::areOrthonormal | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon
| ) |  |

Check whether two vectors are orthonormal.

From GLM_GTX_vector_query extensions.

bool glm::isNormalized | ( | vecType< genType > const & | v,
|  | genType const & | epsilon
| ) |  |

Check whether a vector is normalized.

From GLM_GTX_vector_query extensions.

bool glm::isNull | ( | detail::tvec2< valType > const & | v,
|  | valType const & | epsilon
| ) |  |

Check whether a vector is null.

From GLM_GTX_vector_query extensions.

bool glm::isNull | ( | detail::tvec3< valType > const & | v,
|  | valType const & | epsilon
| ) |  |

Check whether a vector is null.

From GLM_GTX_vector_query extensions.

bool glm::isNull | ( | detail::tvec4< valType > const & | v,
|  | valType const & | epsilon
| ) |  |

Check whether a vector is null.

From GLM_GTX_vector_query extensions.